package com.cooleshow.base.widgets.dialog;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;

import com.cooleshow.base.R;
import com.cooleshow.base.utils.helper.WebStartHelper;

import androidx.annotation.NonNull;

/**
 * Author by pq, Date on 2022/10/10.
 */
public class AwardTipDialog extends Dialog {

    public AwardTipDialog(@NonNull Context context) {
        super(context,R.style.DialogStyle);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.dialog_award_tip_layout);
        findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
            }
        });
        findViewById(R.id.view_bg).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                WebStartHelper.startAwardPage();
                dismiss();
            }
        });
    }
}
